pkgname=mgis
pkgver=2.0
pkgrel=1
#epoch=
pkgdesc="The MFrontGenericInterfaceSupport project"
arch=(x86_64)
url="https://github.com/thelfer/MFrontGenericInterfaceSupport"
license=('LGPL3')
# groups=('kokkos')
depends=('dune-grid')
makedepends=('cppcheck')
#checkdepends=()
# 'tbb: High level abstract threading library'
# optdepends=('openmpi: for mpi support'
#   'vc: C++ Vectorization library')
#provides=()
#conflicts=()
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=("${url}/archive/${pkgver}.tar.gz")
#noextract=()
sha512sums=('')

# prepare() {

# }

build() {

  sed -i '22 a #include <limits>' ${pkgname}-release-${pkgver}-final/opm/io/eclipse/SummaryNode.hpp
  sed -i '22 a #include <optional>' ${pkgname}-release-${pkgver}-final/opm/parser/eclipse/EclipseState/Grid/Keywords.hpp
  sed -i '22 a #include <limits>' ${pkgname}-release-${pkgver}-final/opm/parser/eclipse/EclipseState/Grid/Keywords.hpp
  sed -i '22 a #include <optional>' ${pkgname}-release-${pkgver}-final/opm/parser/eclipse/EclipseState/Schedule/Well/NameOrder.hpp
  sed -i '22 a #include <optional>' ${pkgname}-release-${pkgver}-final/opm/output/eclipse/Inplace.hpp

  mkdir -p ${pkgname}-release-${pkgver}-final/build
  cd ${pkgname}-release-${pkgver}-final/build
  cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS='-std=c++17 -O2 -g -Wall -fdiagnostics-color=always' -DCMAKE_PREFIX_PATH=/usr/include/dune -DUSE_MPI=1 -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_PREFIX=/usr ..
  make
}

# check() {

# }

package() {
  # pwd /tmp/makepkg/opm-common/src
  # cd ${pkgname}-release-${pkgver}-final/build
  cd ${pkgname}-release-${pkgver}-final/build
  make DESTDIR="${pkgdir}" install

  install -Dm644 ${srcdir}/${pkgname}-release-${pkgver}-final/LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"

  find "${pkgdir}" -type d -empty -delete
}
